import React from 'react';
import ReactDOM from 'react-dom';

const width = window.innerWidth;
const height = window.innerHeight;
const centerX = width / 2;
const centerY = height / 2;

const strokeWidth = 2;

const eyeOffsetX = 130;
const eyeOffsetY = 130;
const eyeRadius = 40;
const eyeRadiusXoffset =30;
const eyeRadiusYoffset =40;
const eyeOuterRadius = eyeRadius+10;
const eyeOuterOffsetX= 25; 
const eyeOuterOffsetY=20;

const smileX= 5;
const smileY= 30;
const smileYOffset= 55;


const noseOffsetX = 50;
const noseOffsetY = 10;
const noseWidth= 5;
const noseHeight =10;
const mouthWidth = 20;
const mouthRadius = 100;

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeRadiusXoffset}
        ry={eyeRadius+eyeRadiusYoffset}
        fill="green"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeRadiusXoffset}
        ry={eyeRadius+40}
        fill="green"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <ellipse
        ry={centerY/1.75}
        rx={centerX/2}
        fill="green"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeRadiusXoffset}
        ry={eyeRadius+eyeRadiusYoffset}
        fill="green"
      
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeRadiusXoffset}
        ry={eyeRadius+eyeRadiusYoffset}
        fill="green"
       
      />
       <ellipse
        cx={-smileX}
        cy={smileY}
        ry={80}
        rx={180}
        fill="firebrick"
      /> 
      <ellipse
        cx={-smileX}
        ry={85}
        rx={200}
        fill="green"
      />
 
      <ellipse
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeOuterOffsetX}
        ry={eyeRadius+eyeOuterOffsetY}
        fill="green"
      />
      <ellipse
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        rx={eyeRadius+eyeOuterOffsetX}
        ry={eyeRadius+eyeOuterOffsetY}
        fill="green"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeOuterRadius}
        fill="white"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeOuterRadius}
        fill="white"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
        <ellipse
        cx={noseOffsetX}
        cy={noseOffsetY}
        rx={noseWidth}
        ry={noseHeight}
        fill="Black"
      />
      <ellipse
        cx={-noseOffsetX}
        cy={noseOffsetY}
        rx={noseWidth}
        ry={noseHeight}
        fill="Black"
      />

       
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);